function [lon,lat,T,S,U,V]=get_ROMS_output_RD(grdfile,ofile,day,depth);

ncg = netcdf(grdfile);
lon   = ncg{'lon_rho'}(:);
lat   = ncg{'lat_rho'}(:);
lonu  = ncg{'lon_u'}(:);
latu  = ncg{'lat_u'}(:);
lonv  = ncg{'lon_v'}(:);
latv  = ncg{'lat_v'}(:);
h     = ncg{'h'}(:);

mask  = ncg{'mask_rho'}(:);
mask = logical(mask);
h(~mask) = NaN;

% reading and preparing the output variables --------------------------------------
% eval(['nci = netcdf([''',id,'_',datatype,'.nc'']);'])
nci = netcdf(ofile);
t   =  nci{'temp'}(day,:,:,:);
s   =  nci{'salt'}(day,:,:,:);
u   =  nci{'u'}(day,:,:,:);
v   =  nci{'v'}(day,:,:,:);
mask  = nci{'mask_rho'}(:);
mask_U  = nci{'mask_u'}(:);
mask_V  = nci{'mask_v'}(:);

T   =  squeeze(t(depth,:,:));
S   =  squeeze(s(depth,:,:));
uu  =  squeeze(u(depth,:,:));
vv  =  squeeze(v(depth,:,:));

uu(~mask_U) = nan;
vv(~mask_V) = nan;

[X,Y,U] = griddata(lonu,latu,uu,lon,lat);
[X,Y,V] = griddata(lonv,latv,vv,lon,lat);

