function [SECref,Zref]=get_ROMS_sec(grid,file,VAR,DAY,lon_sec,lat_sec);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Make sections on ROMS
%
% Criado por Ricardo M. Domingues, em 24/09/2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LENDO OS INPUTS

%------------------------lendo o grid
    ncg = netcdf(grid);

if(strmatch(VAR,'temp') | strmatch(VAR,'salt')) 
    lon   = ncg{'lon_rho'}(:);
    lat   = ncg{'lat_rho'}(:);
end

if(strmatch(VAR,'u'))
    lon  = ncg{'lon_u'}(:);
    lat  = ncg{'lat_u'}(:);
end

if(strmatch(VAR,'v'))
    lon  = ncg{'lon_v'}(:);
    lat  = ncg{'lat_v'}(:);
end

nc = netcdf(file);
Vfield = squeeze(nc{VAR}(DAY,:,:,:));
zt = get_depths(file,grid,1,VAR);

[kk,mm,nn]=size(Vfield);

%  SEC = 0
%  Zref = 0;

for k=1:kk

	for i=1:length(lon_sec)

		DX_LON = abs(lon - lon_sec(i));
		DX_LAT = abs(lat - lat_sec(i));
		DX = sqrt(DX_LON.^2 + DX_LAT.^2);
		[aux,IND_COOR] = nanmin(DX(:));

		t_aux = squeeze(Vfield(k,:,:)); t_aux=t_aux(:);
		z_aux = squeeze(zt(k,:,:)); z_aux=z_aux(:);

		SEC(k,i) = t_aux(IND_COOR);
		Zsec(k,i) = z_aux(IND_COOR);
	end
end

Zsec(1,:) = rmean(Zsec(1,:),5);

for i=1:length(lon_sec)
	
	Saux = squeeze(SEC(:,i));
	Zaux = squeeze(Zsec(:,i));
	K=isnan(Saux);Saux(K)=[];Zaux(K)=[];
	
	if(length(Saux)>5);			
		Zout = linspace(nanmin(Zaux),nanmax(Zaux),length(lon_sec)*2);
		S2 = interp1(Zaux,Saux,Zout);	
		Zref(:,i) = Zout;
		SECref(:,i) = S2;	
	else

		Zref(:,i) = nan(1,length(lon_sec)*2);
		SECref(:,i) = nan(1,length(lon_sec)*2);
	end
end

SECref = smo(SECref);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%