%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Program  plot_roms -- Visualization of ROMS outputs
%  Edited by Domingues - 31/05/2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;close all;clc;warning off
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  INPUT PARAMETERS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
disp('             ---- ROMS Output Ploting Tool ----   ')
disp(' ')
disp(' ')
dire = input(' - Complete path to files >>','s');
cd(dire)
DT = 300;%segundos
sc = .8;% vector scale
ATTEMPT=30;

disp(' ')
TSTEP=input(' - Model time step (seconds) >>');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% BASIC INITIAL CHOISES
clc

disp('  ---------- Set the ploting mode of interest ----------------')
disp(' ')
disp('                      1 = Diagnose mode - plot while model run')
disp(' ')
disp('                      2 = Period of interest')
disp(' ')
disp('                      3 = Time series')
disp(' ')

mode = input ('mode = ? >>');

disp(' ')
disp('  ------------------ Set the type of plot --------------------')
disp(' ')
disp('                      1 = Horizontal SST and Velocity plots')
disp(' ')
disp('                      2 = Section plots')
disp(' ')
disp('                      3 = Horizontal SST and Velocity plots + Sections')
disp(' ')
disp('                      4 = Sea Surface High plots')
disp(' ')
disp('                      5 = PGE watch')
disp(' ')


tp = input ('type = ? >>');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% MODE INITIAL CONDITIONS


if(mode==1)
    
elseif(mode==2)
   DAY = input(' Enter the desired period >>');
end

if(tp==1),
    mkdir(dire,'figuras_TVEL');
    dir_out = [dire,'figuras_TVEL/'];
    load costa2.mat; xlc = ncst(:,1); ylc = ncst(:,2);
    load etopo2.mat;
end

if(tp==5),
    mkdir(dire,'figuras_PGE');
    dir_out = [dire,'figuras_PGE/'];
    load costa2.mat; xlc = ncst(:,1); ylc = ncst(:,2);
    load etopo2.mat;
end


if(tp==2),
disp(' ')
disp('  ------------------ Sections of  --------------------')
disp(' ')
disp('                      1 = SST')
disp(' ')
disp('                      2 = Salinity')
disp(' ')
disp('                      3 = Velocity')
disp(' ')

va = input ('Variable = ? >>');

    mkdir(dire,'figuras_SEC');
    dir_out = [dire,'figuras_SEC/'];
    load costa2.mat; xlc = ncst(:,1); ylc = ncst(:,2);
    load etopo2.mat;
end

if(tp==4),
    mkdir(dire,'figuras_SSH');
    dir_out = [dire,'figuras_SSH/'];
    load costa2.mat; xlc = ncst(:,1); ylc = ncst(:,2);
    load etopo2.mat;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plot_settings % associated routine with properties
nci = netcdf(ofile);     
ncg = netcdf(grid);
depth=size(nci{'temp'},2);
if(mode==1)
    clc
    disp('  ------------------ Starting dignose mode --------------------')
    lt1=0;
    resp=0;
    count=0;
    
    if(tp==1)
    while(resp==0)
                   
	nci = netcdf(ofile); 
        lt2=size(nci{'temp'},1);
	depth=size(nci{'temp'},2);

        if(lt2>lt1)
            iii=0;
            for day=lt1+1:lt2
                
                iii=iii+1;

                plot_netcdf_read

                plot_fast_Tvel

%  		plot_ek
            	count=0;
            end
            lt1=lt2;
	    close(nci);
        else
            count=count+1;
        end
        
        if(count>=ATTEMPT)
          disp('  '), disp('  ---------------- MODEL STOPPED'),return               
        end
        pause(DT) 
    end
    end

    if(tp==5)
    while(resp==0)
                   
	nci = netcdf(ofile); 
        lt2=size(nci{'temp'},1);
	depth=size(nci{'temp'},2);
        if(lt2>lt1)
            iii=0;
            for day=lt1+1:lt2
                
                iii=iii+1;

                plot_netcdf_read

                plot_PGE_watch

%  		plot_ek
            	count=0;
            end
            lt1=lt2;
	    close(nci);

        else
            count=count+1;
        end
        
        if(count>=ATTEMPT)
          disp('  '), disp('  ---------------- MODEL STOPPED'),return               
        end
        pause(DT) 
    end
    end



    if(tp==2)
    while(resp==0)
		      
	    nci = netcdf(ofile);        
	    lt2=size(nci{'temp'},1);

	    if(lt2>lt1)
		iii=0;
		for day=lt1+1:lt2
		    
		    iii=iii+1;

		    plot_netcdf_read

		    plot_sec

		end
		lt1=lt2;
		count=0;
	    	close(nci);
	    else
		count=count+1;
	    end
	    
	    if(count>=ATTEMPT)
	      disp('  '), disp('  ---------------- MODEL STOPPED'),return               
	    end
	    pause(DT) 
    end
    end
    
elseif(mode==2 && tp==1)

    for day = DAY; % begining of the horizontal plots
               
        plot_netcdf_read

        plot_fast_Tvel
    
    end

elseif(mode==2 && tp==5)

    for day = DAY; % begining of the horizontal plots
               
        plot_netcdf_read

        plot_PGE_watch
    
    end


elseif(mode==2 && tp==4)

    for day = DAY; % begining of the horizontal plots
        
        
        plot_netcdf_read

        plot_zeta
    
    end

elseif(mode==2 && tp==2)

    for day = DAY; % begining of the horizontal plots
        
        nci = netcdf(ofile);
        
        plot_netcdf_read
	
	disp(' ---')
        plot_sec
    
    end

elseif(mode==3)

    day = 1;
drawnow

 

    plot_netcdf_read

    plot_time_series

end
