clc
disp('  ---------- Select the variable ----------------')
disp(' ')
disp('                      1 = Temperature')
disp(' ')
disp('                      2 = Salinity')
disp(' ')
disp('                      3 = SSH')
disp(' ')
disp('                      4 = Velocity')
disp(' ')

vari = input ('variable = ? >>');
lt2=size(nci{'temp'},1);
T   =  squeeze(t(depth,:,:));f=find(T==0); T(f)=NaN; 

figure(100)
pcolor(lon,lat,T);shading flat; hold on; caxis([18 26]);
plot(xlc,ylc,'k','linewidth',2); contour(xb,yb,zb,isob,'w');
title('Enter the section postition')

[xp,yp]=ginput(1);

plot(xp,yp,'k*','markersize',10);

drawnow
 

for day=1:lt2

day

plot_netcdf_read

if(vari==1)

	T   =  squeeze(t(depth,:,:));f=find(T==0); T(f)=NaN; 
	st(day) = griddata(lon,lat,T,xp,yp);
elseif(vari==2)
	S   =  squeeze(s(depth,:,:));f=find(T==0); S(f)=NaN; 
	st(day) = griddata(lon,lat,S,xp,yp);

elseif(vari==3)
	ETA =  squeeze(eta(:,:));
	st(day) = griddata(lon,lat,ETA,xp,yp);


elseif(vari==4)
	VV =  squeeze(v(25,:,:));
	UU =  squeeze(u(25,:,:));

	V = griddata(lonv,latv,VV,lon,lat);
	U = griddata(lonu,latu,UU,lon,lat);

	Vel = sqrt(V.^2 + U.^2);
	st(day) = griddata(lon,lat,Vel,xp,yp);
end
hours(day)=day;

end

figure
plot(hours,st,'r-')
xlabel('model time')

saveas(gcf,'time_series','png')

